ようこそ不思議の国:SEの世界へ

UbuntuでUnable to locate packageエラーが表示されたときの解決方法は?

WRITER
 
この記事を書いている人 - WRITER -

Ubuntuでapt-getコマンドを利用し、何らかのパッケージをインストールした時に「E: Unable to locate package」というエラーが表示されたときの解決方法です。

 

環境

  • Window10
  • Windows Subsystem for Linux (WSL1)を利用
  • Ubuntu18.04

 

解決方法

apt-getをアップデートします。

※一般ユーザが管理者権限の必要なコマンドを使用する時に「sudo」コマンドを使うので、rootでログインしている場合は「sudo」コマンドを使う必要はありません。

 

アップデートが完了したら、必要なパッケージをインストールします。

※「tree」はパッケージ名なので、インストールしたいパッケージ名に変更して実行してくださいね。

 

まとめ

私は「tree」をインストールしようとして、「E: Unable to locate package 」エラーになりました。

apt-getをアップデートして、再度インストールしたらうまくいきましたよ。

この記事を書いている人 - WRITER -

- Comments -

メールアドレスが公開されることはありません。 * が付いている欄は必須項目です

Copyright© 旅するSE , 2020 All Rights Reserved.